/******************************************************************************
 * 
 * Copyright 2012 - 2013 Vektor Software.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 *****************************************************************************/

package com.vektorsoft.demux.desktop.jfx.app.gui;

import com.vektorsoft.demux.core.mva.DMXAdapter;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;

/**
 * EVent listener for menu action event. When fired, it will invoke associated
 * controller.
 *
 * @author Vladimir Djurovic
 */
class MenuActionControllerInvoker implements EventHandler<ActionEvent> {

    /** Adapter instance. */
    private DMXAdapter adapter;
    
    /** Controller ID. */
    private String controllerId;
    
    /** Optional arguments. */
    private Object[] args;

    /**
     * Creates new instance.
     * 
     * @param adapter adapter instance
     * @param id ID of controller to invoke
     * @param args  optional execution arguments
     */
    public MenuActionControllerInvoker(DMXAdapter adapter, String id, Object[] args) {
        this.adapter = adapter;
        this.controllerId = id;
        this.args = args;
    }

    @Override
    public void handle(ActionEvent t) {
        adapter.invokeController(controllerId, args);
    }
}
