
package com.vektorsoft.demux.samples.custom;

import com.vektorsoft.demux.core.app.DMXAbstractActivator;
import com.vektorsoft.demux.core.app.DMXAdapterTrackerHandler;
import org.osgi.framework.BundleContext;
import com.vektorsoft.demux.desktop.jfx.main.svc.JFXWindowService;
import org.osgi.util.tracker.ServiceTracker;

/**
 *
 * An implementation of {@code com.vektorsoft.demux.core.app.DMXAbstractActivator} class. This class contains logic needed
 * for supporting extension callbacks. Use this class as a starting point for you bundle activators.
 *
 * This class uses {@code SampleTrackerHandler} to track registration of {@code DMXAdapter} service.
 * 
 */
public class SampleActivator extends DMXAbstractActivator {

     private ServiceTracker windowTracker;
    

    @Override
    protected void onBundleStart(BundleContext ctx) {
         windowTracker = new ServiceTracker(ctx, JFXWindowService.class, new WindowServiceTracker(ctx));
         windowTracker.open();
    }

    @Override
    protected void onBundleStop(BundleContext ctx) {
       // add here logic required to run when bundle stops   
    }

    @Override
    public DMXAdapterTrackerHandler getHandler() {
        return new SampleTrackerHandler();
    }

}
