
package com.vektorsoft.demux.samples.gui;

import com.vektorsoft.demux.core.app.DMXAdapterTrackerHandler;
import com.vektorsoft.demux.core.mva.DMXAdapter;
import com.vektorsoft.demux.core.resources.ResourceHandlerType;
import com.vektorsoft.demux.core.resources.impl.DefaultResourceHandler;
import javafx.event.ActionEvent;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;

/**
 * Simple implementation of {@code ServiceTracker} used to track changes to {@code DMXAdapter} service.
 * 
 */
public class SampleTrackerHandler extends DMXAdapterTrackerHandler {

    @Override
    public void onAdapterAdded(DMXAdapter adapter) {
       adapter.registerController(new MenuController());
       adapter.registerView(MenuDialogView.class);
       
        DefaultResourceHandler handler = adapter.getResourceManager().getResourceHandler(ResourceHandlerType.RESOURCE_BUNDLE);
       // register resources for FXML view
       handler.loadResourceBundle("bundles.strings", this.getClass().getClassLoader());
       adapter.registerView(FXMLView.class);
       adapter.registerController(new SimpleController());
       adapter.registerEventHandler(new SampleEventHandler(adapter, ActionEvent.ACTION));
    }

    @Override
    public void onAdapterModified(DMXAdapter adapter) {
        // add here logic needed to run when adapter is modfied
    }

    @Override
    public void onAdapterRemoved(DMXAdapter adapter) {
        // add here logic needed to run when adapter is removed
    }

}
