


package com.vektorsoft.demux.samples.android.gui;

import android.content.Context;
import android.content.res.XmlResourceParser;
import android.view.LayoutInflater;
import android.view.View;
import com.vektorsoft.demux.android.core.app.DMXAndroidViewManager;
import com.vektorsoft.demux.android.core.resources.DMXAndroidResourceHandler;
import com.vektorsoft.demux.core.annotations.DMXViewDeclaration;
import com.vektorsoft.demux.core.mva.DMXAdapter;
import com.vektorsoft.demux.core.resources.ResourceHandlerType;

/**
 *
 * @author Vladimir Djurovic
 */
@DMXViewDeclaration (viewID = "layoutView", parentViewId = DMXAndroidViewManager.DMX_ANDROID_ROOT_VIEW)
public class LayoutView {
    
    @DMXViewDeclaration.ViewUI
    private View root;
    
    private Context context;
    private DMXAdapter adapter;
    private DMXAndroidResourceHandler handler;
    private LayoutInflater inflater;

    public LayoutView(Context ctx, DMXAdapter adapter){
        this.context = ctx;
        this.adapter = adapter;
        this.handler = adapter.getResourceManager().getResourceHandler(ResourceHandlerType.ANDROID);
        inflater = (LayoutInflater)context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }
    
    @DMXViewDeclaration.Render
    public void render(){
        
    }
    
    @DMXViewDeclaration.ConstructUI
    public void makeUI(){
        XmlResourceParser parser = handler.getLayout("view_layout");
        root = inflater.inflate(parser, null);
        System.out.println("Inflated view " + root);
    }

    public View getRoot() {
        return root;
    }
    
}
