/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.i18n.jfx;

import com.vektorsoft.demux.core.resources.LocaleChangeListener;
import com.vektorsoft.demux.core.mva.DMXAbstractView;
import com.vektorsoft.demux.core.mva.DMXAdapter;
import com.vektorsoft.demux.core.mva.DMXView;
import com.vektorsoft.demux.core.resources.ResourceHandlerType;
import com.vektorsoft.demux.core.resources.impl.DefaultResourceHandler;
import com.vektorsoft.demux.desktop.jfx.view.JFXRootView;
import java.util.Date;
import java.util.Locale;
import java.util.Map;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Node;
import javafx.scene.control.Button;
import javafx.scene.control.ComboBox;
import javafx.scene.layout.HBox;
import javafx.scene.layout.VBox;
import javafx.scene.text.Text;

/**
 *
 * @author Vladimir Djurovic
 */
public class LocaleView extends DMXAbstractView implements LocaleChangeListener {
    
    private VBox vbox;
    private HBox hbox;
    private ComboBox<Locale> combo;
    private Button button;
    private Text text;
    private Text label;
    
    private DefaultResourceHandler handler;
    
    public LocaleView(DMXAdapter adapter){
        super(adapter);
        handler = adapter.getResourceManager().getResourceHandler(ResourceHandlerType.RESOURCE_BUNDLE);
    }
    
    @Override
    public void constructUI(){
        vbox = new VBox(10.0);
         hbox = new HBox(10.0);
        text = new Text(handler.getString("choose.locale.text"));
        hbox.getChildren().add(text);
        
        combo = new ComboBox<Locale>();
        hbox.getChildren().add(combo);
        
        button = new Button(handler.getString("localeButton.text"));
        button.setOnAction(new EventHandler<ActionEvent>() {

             @Override
             public void handle(ActionEvent t) {
                 Locale loc = combo.getValue();
                 adapter.getResourceManager().setCurrentLocale(loc);
             }
         });
        hbox.getChildren().add(button);
        vbox.getChildren().add(hbox);
        
        
        label = new Text(handler.formatMessage("local.label", new Date(), 100));
        vbox.getChildren().add(label);
        // invoke this initially to set strings
        onLocaleChange();
    }

    @Override
    protected void loadDataIds() {
        
    }

    @Override
    public void render() {
        combo.setValue(adapter.getResourceManager().getCurrentLocale());
    }

    @Override
    public void updateFromModel(Map<String, Object> dataMap) {
        
    }

    @Override
    public String getParentViewId() {
        return JFXRootView.JFX_ROOT_VIEW_ID;
    }
    

    @Override
    public Object getViewUI() {
       
        return vbox;
    }

    @Override
    public void addChildView(DMXView child) {
        vbox.getChildren().add((Node)child.getViewUI());
    }

    @Override
    public void onLocaleChange() {
        combo.getItems().clear();
        combo.getItems().addAll(adapter.getResourceManager().getSupportedLocales());
        text.setText(handler.getString("choose.locale.text"));
        button.setText(handler.getString("localeButton.text"));
        label.setText(handler.formatMessage("local.label", new Date(), 100));
    }

}
