/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.views.activate;

import com.vektorsoft.demux.core.annotations.DMXViewDeclaration;
import com.vektorsoft.demux.core.app.DMXCoreConstants;
import com.vektorsoft.demux.core.mva.DMXAdapter;
import com.vektorsoft.demux.core.mva.DMXViewManager;
import com.vektorsoft.demux.desktop.jfx.view.JFXRootView;
import java.util.HashMap;
import java.util.Map;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.layout.HBox;

/**
 *
 * @author Vladimir Djurovic
 */
@DMXViewDeclaration (parentViewId = JFXRootView.JFX_ROOT_VIEW_ID, viewID = "view-one")
public class ViewOne {
    
    private DMXAdapter adapter;
    
    @DMXViewDeclaration.ViewUI
    private HBox root;
    
    private Button button;
    private Button dlgButton;
    
    public ViewOne(DMXAdapter adapter){
        this.adapter = adapter;
    }
    
    @DMXViewDeclaration.ConstructUI
    public void createUI(){
        root = new HBox(5);
        Label label = new Label("This is view one");
        root.getChildren().add(label);
        
        button = new Button("Activate view number 2");
        button.setOnAction(new EventHandler<ActionEvent>() {

            @Override
            public void handle(ActionEvent t) {
                
                adapter.invokeController(DMXCoreConstants.CTRL_VIEW_ACITVATION, "view-two");
            }
        });
        root.getChildren().add(button);
        
        dlgButton = new Button("Show dialog");
        dlgButton.setOnAction(new EventHandler<ActionEvent>() {

            @Override
            public void handle(ActionEvent t) {
                Map<String, Object> params = new HashMap<String, Object>();
                params.put(DMXViewManager.PARAM_DIALOG_TITLE, "Custom title");
                adapter.invokeController(DMXCoreConstants.CTRL_VIEW_ACITVATION, "dialog-view", params);
            }
        });
        root.getChildren().add(dlgButton);
    }

    public HBox getRoot() {
        return root;
    }

    public void setRoot(HBox root) {
        this.root = root;
    }
    
    @DMXViewDeclaration.Render
    public void render(){
        
    }
    
    
    @DMXViewDeclaration.PlacementConstraint
    public Integer constraint(){
        return 30;
    }
    

}
